import logging

import click
from rich.console import Console

LOG_FILE = "/var/log/frappe-installer.log"
console = Console()


def setup_logger():
    logger = logging.getLogger("frappe_installer.config.get")
    logger.setLevel(logging.INFO)
    try:
        handler = logging.FileHandler(LOG_FILE)
    except PermissionError:
        handler = logging.FileHandler("frappe-installer.log")
    formatter = logging.Formatter("[%(asctime)s] %(message)s")
    handler.setFormatter(formatter)
    if not logger.handlers:
        logger.addHandler(handler)
    return logger


logger = setup_logger()


@click.command()
@click.argument("key")
def get(key):
    """
    Get a config value (stub).

    Example:
        frappe config get <key>
    """
    logger.info(f"[config] Get called for key: {key}")
    console.print(
        f"[yellow][STUB] Would get config key '{key}'. Not yet implemented.[/yellow]"
    )
