import logging

import click
from rich.console import Console

LOG_FILE = "/var/log/frappe-installer.log"
console = Console()


def setup_logger():
    logger = logging.getLogger("frappe_installer.optimize.performance")
    logger.setLevel(logging.INFO)
    try:
        handler = logging.FileHandler(LOG_FILE)
    except PermissionError:
        handler = logging.FileHandler("frappe-installer.log")
    formatter = logging.Formatter("[%(asctime)s] %(message)s")
    handler.setFormatter(formatter)
    if not logger.handlers:
        logger.addHandler(handler)
    return logger


logger = setup_logger()


@click.command()
def performance():
    """
    Optimize Frappe/Server performance (stub).

    Example:
        frappe optimize performance
    """
    logger.info("[optimize] Performance called.")
    console.print(
        "[yellow][STUB] Would optimize server performance. Not yet implemented.[/yellow]"
    )
